﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Pedido.aspx.vb" Inherits="Pedido" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Carrinho de Compras</title>
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
        .style2
        {
            width: 250px;
        }
        .style3
        {
            width: 20px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Image ID="Image1" runat="server" 
            ImageUrl="~/Imagens/maco10.gif" Height="48px" Width="305px" /><br /><br />
        <asp:Label ID="Label1" runat="server" 
            Text="Selecione um Produto:"></asp:Label>&nbsp;
        <asp:DropDownList ID="ddlProdutos" runat="server" 
            DataSourceID="AccessDataSource1" DataTextField="Nome" 
            DataValueField="produtoid" Width="150px" AutoPostBack="True">
        </asp:DropDownList>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/Vendas.mdb" 
            SelectCommand="SELECT [produtoid], [nome], [resumo],
                [descricao], [imagem], [preco]
                FROM [Produtos] ORDER BY [nome]">
        </asp:AccessDataSource>
        <br />
        <table class="style1">
            <tr>
                <td class="style2">
                    <asp:Label ID="lblNome" runat="server" 
                        Font-Bold="True" Font-Size="Larger">
                    </asp:Label>
                </td>
                <td class="style3" rowspan="4">
                </td>
                <td rowspan="4" valign="center">
                    <asp:Image ID="imgProduto" runat="server" Height="200px" />
                </td>
            </tr>
            <tr>
                <td class="style2">
                    <asp:Label ID="lblResumo" runat="server">
                    </asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style2">
                    <asp:Label ID="lblDescricao" runat="server">
                    </asp:Label>
                </td>
            </tr>
            <tr>
                <td class="style2">
                    <asp:Label ID="lblPreco" runat="server" 
                        Font-Bold="True" Font-Size="Larger">
                    </asp:Label>
                    <asp:Label ID="Label2" runat="server" Text="cada" 
                        Font-Bold="True" Font-Size="Larger">
                    </asp:Label>
                </td>
            </tr>
        </table>
        <br />
        <asp:Label ID="Label3" runat="server" Text="Quantidade: "></asp:Label>&nbsp;
        <asp:TextBox ID="txtQuantidade" runat="server" Width="40px">
        </asp:TextBox>
        <asp:RequiredFieldValidator ID="RequiredFieldValidator1"
            runat="server" ControlToValidate="txtQuantidade" Display="Dynamic" 
            ErrorMessage="A quantidade deve ser informada" ForeColor="Green"></asp:RequiredFieldValidator>
        <asp:RangeValidator ID="RangeValidator1" runat="server" 
            ControlToValidate="txtQuantidade" Display="Dynamic" 
            ErrorMessage="A quantidade deve estar entre 1 e 10."
            MaximumValue="10" MinimumValue="1" Type="Integer" ForeColor="Green">
        </asp:RangeValidator><br /><br />
        <asp:Button ID="btnIncluir" runat="server" Text="Incluir no carrinho" />&nbsp;
        <asp:Button ID="btnCarrinho" runat="server" CausesValidation="False" 
            PostBackUrl="~/Carrinho.aspx" Text="Ir para o Carrinho" />
    </div>
    </form>
</body>
</html>