﻿Imports Microsoft.VisualBasic

Public Class ItemLista

    Private itensLista As List(Of Item)

    Public Sub New()
        itensLista = New List(Of Item)
    End Sub

    Public ReadOnly Property Count As Integer
        Get
            Return itensLista.Count
        End Get
    End Property

    Default Public Property Item(ByVal index As Integer) As Item
        Get
            Return itensLista(index)
        End Get
        Set(ByVal value As Item)
            itensLista(index) = value
        End Set
    End Property

    Default Public ReadOnly Property Item(ByVal id As String) As Item
        Get
            For Each c As Item In itensLista
                If c.Prodto.ProdutoID = id Then
                    Return c
                End If
            Next
            Return Nothing
        End Get
    End Property

    Public Shared Function GetCarrinho() As ItemLista
        If CType(HttpContext.Current.Session("Carrinho"), ItemLista) Is Nothing Then
            HttpContext.Current.Session.Add("Carrinho", New ItemLista)
        End If
        Return CType(HttpContext.Current.Session("Carrinho"), ItemLista)
    End Function

    Public Sub IncluirItem(ByVal produto As Produto, ByVal quantidade As Integer)
        Dim c As New Item(produto, quantidade)
        itensLista.Add(c)
    End Sub

    Public Sub RemoverEm(ByVal index As Integer)
        itensLista.RemoveAt(index)
    End Sub

    Public Sub Limpar()
        itensLista.Clear()
    End Sub

End Class
