﻿
Partial Class Carrinho
    Inherits System.Web.UI.Page

    Private carrinho As ItemLista
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        carrinho = ItemLista.GetCarrinho
        If Not IsPostBack Then
            Me.ExibeCarrinho()
        End If
    End Sub
    Private Sub ExibeCarrinho()
        listaCarrinho.Items.Clear()
        Dim itemCarrinho As Item
        For i = 0 To carrinho.Count - 1
            itemCarrinho = carrinho(i)
            listaCarrinho.Items.Add(itemCarrinho.Exibir)
        Next
    End Sub

    Protected Sub btnRemover_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnRemover.Click
        If carrinho.Count > 0 Then
            If listaCarrinho.SelectedIndex > -1 Then
                carrinho.RemoverEm(listaCarrinho.SelectedIndex)
                Me.ExibeCarrinho()
            Else
                lblMensagem.Text = "Selecione um item que deseja remover."
            End If
        End If
    End Sub

    Protected Sub btnEsvaziar_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEsvaziar.Click
        If carrinho.Count > 0 Then
            carrinho.Limpar()
            listaCarrinho.Items.Clear()
        End If
    End Sub

    Protected Sub btnEncerrar_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEncerrar.Click
        lblMensagem.Text = "Esta funcionalidade ainda não foi construída."
    End Sub
End Class
